Skip to content

Managed VMware vSphere

All operations require authentication.

8 operationsv1/vrack/{serviceName}
Agent setup

List services. Returns the Hosted Private Cloud services attached to the vRack.Production

GET
/1.0/vrack/{serviceName}/dedicatedCloud

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/dedicatedCloud \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a service. Returns the attached Hosted Private Cloud service and its vRack.Production

GET
/1.0/vrack/{serviceName}/dedicatedCloud/{dedicatedCloud}

Path parameters

dedicatedCloud
required
string

your dedicated cloud service

serviceName
required
string

The internal name of your vrack

Response

200dedicatedCloudsuccessful operation
dedicatedCloud
read-only
string

your dedicated cloud service

vlanId
read-only
integer

Dedicated cloud vlanId used

vrack
read-only
string

vrack name

Example uses dedicatedCloud = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/dedicatedCloud/{dedicatedCloud} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dedicatedCloud": "string", "vlanId": 0, "vrack": "string"}

Attach a serviceProduction

POST
/1.0/vrack/{serviceName}/dedicatedCloud

Attach a service. Attaches a Hosted Private Cloud service to the vRack. Returns the task that performs it.

Path parameters

serviceName
required
string

The internal name of your vrack

Request body (required)

dedicatedCloud
required
string
—

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/dedicatedCloud \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

Detach a serviceProduction

DELETE
/1.0/vrack/{serviceName}/dedicatedCloud/{dedicatedCloud}

Detach a service. Detaches the Hosted Private Cloud service from the vRack. Returns the task that performs it.

Path parameters

dedicatedCloud
required
string

your dedicated cloud service

serviceName
required
string

The internal name of your vrack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses dedicatedCloud = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/dedicatedCloud/{dedicatedCloud} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

List datacenters. Returns the Private Cloud datacenters attached to the vRack.Production

GET
/1.0/vrack/{serviceName}/dedicatedCloudDatacenter

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/dedicatedCloudDatacenter \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a datacenter. Returns the attached Private Cloud datacenter and its vRack.Production

GET
/1.0/vrack/{serviceName}/dedicatedCloudDatacenter/{datacenter}

Path parameters

datacenter
required
string

Your dedicatedCloud datacenter name

serviceName
required
string

The internal name of your vrack

Response

200pccDatacentersuccessful operation
datacenter
read-only
string

Your dedicatedCloud datacenter name

dedicatedCloud
read-only
string

Your dedicatedCloud name

vrack
read-only
string

vrack name

Example uses datacenter = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/dedicatedCloudDatacenter/{datacenter} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "datacenter": "string", "dedicatedCloud": "string", "vrack": "string"}

List target vRacks. Returns the vRacks the Private Cloud datacenter can be moved to.Production

GET
/1.0/vrack/{serviceName}/dedicatedCloudDatacenter/{datacenter}/allowedVrack

Path parameters

datacenter
required
string

Your dedicatedCloud datacenter name

serviceName
required
string

The internal name of your vrack

Response

200string[]successful operation

Example uses datacenter = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/dedicatedCloudDatacenter/{datacenter}/allowedVrack \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Move a datacenterProduction

POST
/1.0/vrack/{serviceName}/dedicatedCloudDatacenter/{datacenter}/move

Move a datacenter. Moves the Private Cloud datacenter to another vRack. Returns the task that performs it.

Path parameters

datacenter
required
string

Your dedicatedCloud datacenter name

serviceName
required
string

The internal name of your vrack

Request body (required)

targetServiceName
required
string

The internal name of your target vrack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses datacenter = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/dedicatedCloudDatacenter/{datacenter}/move \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}